using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmUserLoginHistory {
        [Key]
        public int LoginHistoryId { get; set; }
        public int SiteId { get; set; }
        [Required]
        [StringLength(24)]
        public string UserId { get; set; }
        [Required]
        [StringLength(10)]
        public string Type { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime TraceTime { get; set; }
        [StringLength(16)]
        public string IpAddress { get; set; }

        [ForeignKey("UserId")]
        [InverseProperty("CmUserLoginHistory")]
        public virtual CmUser CmUser { get; set; }
    }
}
